curl --location --request GET 'https://api.stateset.com/v1/return_line_item' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
{
"data": {
"insert_return_line_items": {
"returning": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "123456789",
"name": "Example Item",
"price": 100,
"condition": "New",
"serial_number": "123456789",
"amount": 1,
"return_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}
]
}
}
}
This endpoint gets or creates a new return line item.
curl --location --request GET 'https://api.stateset.com/v1/return_line_item' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
{
"data": {
"insert_return_line_items": {
"returning": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "123456789",
"name": "Example Item",
"price": 100,
"condition": "New",
"serial_number": "123456789",
"amount": 1,
"return_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}
]
}
}
}
curl --location --request GET 'https://api.stateset.com/v1/return_line_item' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
{
"data": {
"insert_return_line_items": {
"returning": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "123456789",
"name": "Example Item",
"price": 100,
"condition": "New",
"serial_number": "123456789",
"amount": 1,
"return_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}
]
}
}
}